Skip to main content

Booking details

API Reference
GET/api/v1/booking/details

book hotel details

Document History

versionpublish dateDescription
1.0.025-10-2026Intial Specification

Header Parameters​

Content-Type
required
string
Content type
Example: application/json
Authorization
required
string
Authorization
Example: Bearer {accessToken}

Query Parameters​

bookingRef
required
string
Gother booking reference number from API Booking
endUserIpAddress
required
string
IP address of end user

Response Schema​

ref
required
string
Reference transaction
status
required
boolean
Status flag
Example: true/false
code
required
string
Error code
message
required
string
Error message
data
required
object
Data response object
bookingStatus
required
string
Booking status
Example: WAIT_TO_BOOK / BOOKED / CANCELLED / FAILED
bookingRef
required
string
Gother booking reference number
confirmationNo
required
string
Confirmation number
confirmationRef
optional
string
Confirmation reference number
bookingDate
required
string
Booking date
billingCurrency
required
object
Billing price
price
required
number
Price
recommendedPrice
optional
number
Recommended price
currency
required
string
Currency
requestCurrency
required
object
Request price
price
required
number
Price
recommendedPrice
optional
number
Recommended price
currency
required
string
Currency
hotelId
required
number
Hotel ID
room
required
object
Room
roomTypeId
required
number
Room type ID
roomBoardCode
required
string
Room board code
roomBoardName
required
string
Room board name
roomName
required
string
Room name
checkIn
required
string
Check-in date
Example: YYYY-MM-DD
checkOut
required
string
Check-out date
Example: YYYY-MM-DD
totalRoom
required
number
Number of rooms
totalAdult
required
number
Total adults
totalChild
required
number
Total children
childAge
optional
array
Child ages
Example: 1,5
bedType
required
object
Bed type
bedTypeId
required
string
Bed type ID
bedTypeName
required
string
Bed type name
specialRequest
optional
string
Special request
pleaseNote
optional
string
Please note
cancellationPolicy
required
array object
Cancellation policy
policy
required
array object
Policy list
date
required
string
Date policy becomes active
chargeType
required
string
Condition charge type
Example: NonRefundable / Amount
chargeAmount
required
number
Charge amount
currency
required
string
Currency
alert
required
string
Alert policy
remark
required
string
Remark
roomPriceNote
required
array
Room price note
extraCharge
optional
array object
Extra charge is exclude charges, (Property Charge, City Tax / Tourist Tax .etc )
type
optional
string
Charge type
Example: SURCHARGE
amount
optional
number
Charge amount
excluded
optional
boolean
Excluded/included in room rate
Example: false=included, true=pay at hotel
name
optional
string
Charge name
currency
optional
string
Charge currency
guests
required
array object
Guest profiles
title
optional
string
Title
firstName
required
string
First name
lastName
required
string
Last name
email
optional
string
Email
countryOfPassport
required
string
Country of passport
smokePreference
required
boolean
Smoke preference
Example: true=smoke, false=non smoke

Responses​

Status CodeDescription
200SUCCESS
400Bad Request
401Unauthorized
404Not found
500Internal server error